Skip to main content

Billing Logs

Returns a paginated billing history for the load balancer appliance. Each entry describes a billing event for the underlying compute. Use page_no and per_page to page through results.

GET/api/v1/appliances/load-balancer-billinglog/{lb_id}/

Path parameters

  • lb_idPathintegerrequired

    The id of the load balancer, as returned by the List Load Balancers endpoint.

    • required
    • must be a valid load balancer (appliance) ID
    example12345

Query parameters

  • page_noQueryintegeroptional

    1-based page number to retrieve.

    • optional
    • positive integer
    example1
  • per_pageQueryintegeroptional

    Number of records to return per page.

    • optional
    • positive integer
    example5
  • project_idQueryintegerrequired

    Identifier of the project to scope the request to. Required integer project ID.

    • required
    • must be a valid integer project ID
    example{{project_id}}
  • apikeyQuerystringrequired

    API key used to authenticate the request

    • required
    • non-empty string
    example{{api_key}}
  • locationQuerystringrequired

    Region of the load balancer.

    • must be a non-empty string
    example{{location}}

Responses

200Successful response
object
codeinteger
example200
dataarray

Billing history entries for the load balancer appliance.

errorsobject
messagestring
exampleSuccess
total_page_numberinteger
example1
total_countinteger
example0